#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%bcond_with	tests		# run tests (takes long time)

%define		srcname	commons-io
%include	/usr/lib/rpm/macros.java
Summary:	Commons IO component for Java servlets
Summary(pl.UTF-8):	Komponent Commons IO dla serwletów Javy
Name:		java-commons-io
Version:	1.4
Release:	3
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/io/source/commons-io-%{version}-src.tar.gz
# Source0-md5:	24b228f2d0c40ffed9204cdab015bccf
URL:		http://commons.apache.org/io/
BuildRequires:	ant
%{?with_tests:BuildRequires:	ant-junit >= 1.5}
BuildRequires:	jdk
BuildRequires:	jpackage-utils
%{?with_tests:BuildRequires:	junit >= 3.8.1}
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-io
Obsoletes:	jakarta-commons-io-doc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons IO is a library of utilities to assist with developing I/O
functionality.

%description -l pl.UTF-8
Commons IO to biblioteka narzędzi pomagających przy rozwijaniu
funkcjonalności I/O.

%package javadoc
Summary:	Online manual for Commons IO
Summary(pl.UTF-8):	Dokumentacja online do Commons IO
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-io-javadoc

%description javadoc
Documentation for Commons IO.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons IO.

%description javadoc -l fr.UTF-8
Javadoc pour Commons IO.

%prep
%setup -q -n commons-io-%{version}-src

%build
# for tests
%ant jar %{?with_javadoc:javadoc}

%if %{with tests}
JUNITJAR=$(find-jar junit)
%ant -Djunit.jar=$JUNITJAR test
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

cp -a target/commons-io-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf commons-io-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-io.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a target/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-io.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 40f0348
- avoid self-obsoletes; drop old jakarta provides

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> 9dff296
- Don't force specific jdk.

* Mon May 18 2009 pawelz <pawelz@pld-linux.org> 56a605b
- JDK bconds for Titanium
- versioned rpm BR

* Sun Mar 29 2009 pawelz <pawelz@pld-linux.org> 38ba958
- unified jdk bconds
- dropped "export SHELL=/bin/sh" (no longer needed, fixed in gjdoc.spec)

* Tue Feb 10 2009 pawelz <pawelz@pld-linux.org> 94aa601
- use %%srcname macro
- correct dir for javadoc

* Tue Feb 10 2009 pawelz <pawelz@pld-linux.org> b66a6ff
- rel 2

* Mon Feb 09 2009 pawelz <pawelz@pld-linux.org> da8b03d
- added bcond tests
- BRs

* Mon Feb 09 2009 pawelz <pawelz@pld-linux.org> 8bd7a53
- dependencies
- use java-gcj for build

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 63a5943
- Libraries/Java group

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> 5806682
- there is no such package "java-servletapi". BR servletapi provided by
  java-servletapi5.spec

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> 7e65c3d
- s/jakarta-servletapi/java-servletapi/

* Fri Dec 26 2008 pawelz <pawelz@pld-linux.org> f8a849f
- it is no longer part of Jakarta project
- file renamed from jakarta-commons-io.spec

* Fri Oct 03 2008 Elan Ruusamäe <glen@pld-linux.org> e1a3dcb
- javadeps

* Fri Oct 03 2008 Elan Ruusamäe <glen@pld-linux.org> 4ed9225
- update to 1.4

* Mon Apr 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 73dcc2b
- pl desc

* Wed Apr 11 2007 Jan Rękorajski <baggins@pld-linux.org> 943d893
- builds

* Wed Apr 11 2007 Jan Rękorajski <baggins@pld-linux.org> 31d0985
- updated md5

* Wed Apr 11 2007 Jan Rękorajski <baggins@pld-linux.org> a7e6626
- initial revision

